# E4 Situation Professionnelle 2

Dans ce guide je détaille comment j'ai installé l'infrastructure de ma Situation Professionnelle n°2 (VPN site à site pour pfsense) 

![](0.png)

En effet, les 2 situations professionnelles dépendent l'une de l'autre. De ce fait j'ai intégré à la fin de ce tutoriel le lien vers l'autre Situation Professionnelle. 

_Disclaimer:_ Yes, my whole blog is in english, but there are french teachers/inspectors/professionals that are most probably going to read this specific installation guide because this is part of one of my final exams for my networking degree, so here's why i need to write it in french.

The entirety of this guide has also been explained elsewhere on this same blog, although in smaller individual parts that you can choose if you don't understand french.

## **Installation Initialle de Pfsense1+2 + Debian10**

L'intégralité de cette installation a été faite sur **virt-manager** , sur mon PC portable. Les ISOs sont dans **/mnt/vault/ISOS** et mes VMs sont dans **/mnt/vault/VMs**. 

![]() ![](1.png) ![](2.png) ![](3.png) ![](4.png) ![](5.png) ![](6.png) ![](7.png) ![](8.png) ![](9.png) ![](10.png)

Donc on installe le premier routeur pfsense1 en suivant le schéma tout en haut: il faut que la VM ait 2 interfaces réseaux, une qui est dédiée au 'WAN' qui est tout simplement le réseau par défaut de virt-manager, et une seconde interface réseau dédiée au réseau local LAN lui correspondant. Ici c'est le LAN A, on ne veut pas que virt-manager ne touche à la configuration ipv4 des 2 réseaux locaux LAN A et LAN B, donc on suis les étapes suivantes: 

![](11.png) ![](12.png) ![](13.png) ![](14.png) ![](15.png) ![](16.png) ![](17.png) ![](18.png) ![](19.png) ![](20.png)

Afin d'assigner les interfaces à leurs roles il faut qu'on puisse les distinguer, et on ne peut les distinguer que grâce à leurs addresses physiques, donc on vérifie laquelle correspond à l'interface connectée au réseau WAN et on en déduit que la seconde appartient au réseau LAN. Une fois que les interfaces ont été attribuées, on leur affecte leurs adresses IP en suivant le schéma réseau.

![](21.png) ![](22.png) ![](23.png) ![](24.png) ![](25.png) ![](26.png) ![](27.png) ![](28.png) ![](29.png)

Le pool DHCP du réseau local n'a pas été choisie au hasard. J'ai laissé 18 addresses (10.1.0.2-19) non utilisées afin qu'elles puissent être utilisées en tant qu'adresses IPs statiques si besoin est. Pour la suite on ne va pas ré-installer un second pfsense, on va tout simplement cloner la VM existante et la configurer correctement comme notre premier routeur pfsense.

![](30.png) ![](31.png) ![](32.png) ![](33.png) ![](34.png) ![](35.png)

Maintenant qu'on est là on peut commencer l'installation de la VM debian10 sur le WAN car nous n'avons pas encore configuré les deux pfsense. (il faut qu'il y ait un hôte dans le LAN du pfsense en question, et qu'il accède à sa passerelle (10.2.0.1/16 ou 10.1.0.1/16) pour configurer cette dernière.) 

![](36.png) ![](37.png) ![](38.png) ![](39.png) ![](40.png) ![](41.png) ![](42.png) ![](43.png) ![](44.png) ![](45.png) ![](46.png) ![](47.png) ![](48.png) ![](49.png) ![](50.png) ![](51.png) ![](52.png) ![](53.png)

Maintenant que les 2 routeurs pfsense ont étés configurés, on remet la VM debian dans le LAN A comme il a été indiqué dans le schéma réseau, et on lui affecte une IP statique: 

![](54.png) ![](55.png) ![](56.png)

Ici on a la preuve que notre pfsense fonctionne, elle a attribué une adresse via DHCP à notre VM debian. Mais afin de suivre le schéma du réseau, nous voulons l'adresse IP 10.1.0.10/16 pour notre VM debian:

![](57.png) ![](58.png)

## **Installation de WS2019 et du client Win10**

Maintenant que nous avons mis en place nos VMs pfsense ainsi que notre VM debian, nous mettons en place les 2 VMs du LAN B:

![](59.png) ![](60.png) ![](61.png) ![](62.png) ![](63.png) ![](64.png) ![](65.png) ![](66.png) ![](67.png) ![](68.png) ![](69.png) ![](70.png) ![](71.png) ![](72.png) ![](73.png) ![](74.png) ![](75.png) ![](76.png) ![](77.png) ![](78.png) ![](79.png) ![](80.png) ![](81.png) ![](82.png) ![](83.png) ![](84.png) ![](85.png) ![](86.png) ![](87.png)

Maintenant qu'on a installé notre VM WS2019 et qu'on a ajouté nos 2 OUs avec nos 4 Administrateurs et nos 4 Utilisateurs, nous allons installer notre VM client Windows 10:

![](88.png) ![](89.png) ![](90.png) ![](91.png) ![](92.png) ![](93.png) ![](94.png) ![](95.png) ![](96.png)

Une fois que notre client sur windows 10 a redémarré, il est intégré à l'Active Directory de notre WS2019, nous avons donc complété l'installation de notre infrastructure, il ne manque plus que les deux situations professionnelles. Dans cette situation professionnelle, nous allons mettre en place une connection VPN Site-a-Site:

## **Situation Professionnelle 2**

La seconde Situation Professionnelle consiste à installer un VPN site à site liant les deux lans séparés par les 2 routeurs pfsense entre eux, grâce à l'implémentation d'OpenVPN dans pfsense:

![](120.png) ![](121.png) ![](122.png)

On laisse le reste par défaut et on clique sur 'sauvegarder':

![](123.png) ![](124.png) ![](125.png) ![](126.png)

On permet les traffics openvpn sur l'interface WAN puis on permet les traffics sur l'interface OpenVPN:

![](127.png) ![](128.png) ![](129.png)

Une fois qu'on a permis le traffic sur l'interface OpenVPN on peut continuer:

![](130.png)

Ici on a besoin de copier la shared key pour notre second pfsense, et on va la faire passer sur l'autre machine par un pastebin:

![](131.png)

Donc maintenant on a notre pastebin comportant la clée [ici](https://haste.void.yt/uzadyluwuc.vala), et nous allons donc configurer notre second routeur pfsense avec cette clée:

![](132.png) ![](133.png) ![](134.png) ![](135.png)

![](136.png) ![](137.png) ![](138.png) ![](139.png) ![](140.png)

![](141.png) ![](142.png) ![](143.png) ![](144.png)

Et voila ! On a réussi à mettre en place un VPN Site-à-Site permettant de relier les 2 réseaux locaux entre eux. On peut donc par exemple accéder au serveur Nextcloud (10.1.0.10) depuis le LAN B (10.2.0.0/16):

![](145.png)

Nous avons donc terminé notre mise en place de la seconde Situation Professionnelle.

On va ensuite récupérer la clée privée SSH sur notre hote windows server 2019 afin de pouvoir nous connecter via SSH au serveur debian10:

![](149.png) ![](150.png)

Et voila ! On a pu vérifier que la connection SSH par clé privée est possible depuis un hôte du LAN B jusqu'au serveur debian10.

